--- title: "GetActivityList" slug: "management-cloudactivitytracer-getactivitylist" updated: 2026-10-08T04:23:43Z published: 2026-10-08T04:23:43Z canonical: "api.ncloud-docs.com/management-cloudactivitytracer-getactivitylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetActivityList Available in Classic and VPC Get resource activity history. A resource is a unit of resources created by a user in NAVER Cloud Platform. Resources are categorized and managed by unique key values called Ncloud Resource Names (NRNs) for identification, so you can use NRNs to view the operation history for a specific resource when calling. Note For a detailed description of the concept and naming conventions of Ncloud Resource Names (NRNs), see [Resource Manager concepts](https://guide.ncloud-docs.com/docs/en/management-rmgr-1-1-2) in the Resource Manager user guide. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/activities | ### Request headers For information about the request headers common to all Cloud Activity Tracer APIs, see [Cloud Activity Tracer request headers](/docs/en/management-cloudactivitytracer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fromEventTime` | Integer | Optional | Query period start date and time (millisecond) - Unix timestamp format - 30 days prior to the query date and time (default) | | `toEventTime` | Integer | Optional | Query period end date and time (millisecond) - Unix timestamp format - Query date and time (default) | | `nrn` | String | Optional | NAVER Cloud Platform resource identification value | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 100 or less (default: 20) | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cloudactivitytracer.apigw.ntruss.com/api/v1/activities' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "page": "0", "size": "4" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Integer | - | Page number | | `size` | Integer | - | Page output count | | `itemCount` | Integer | - | Number of response results | | `hasMore` | Boolean | - | Whether additional pages exist - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `items` | Array | - | Response result: [items](/docs/en/management-cloudactivitytracer-getactivitylist#items) | #### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `historyId` | String | - | Resource activity history ID | | `nrn` | String | - | NAVER Cloud Platform resource identification value | | `eventTime` | Integer | - | Job change date and time (millisecond) - Unix timestamp format | | `platformType` | String | - | Platform classification - `BOTH` \| `VPC` \| `Classic` - `BOTH`: Common platform environment - `VPC`: VPC environment - `Classic`: Classic environment | | `productName` | String | - | Service code of the resource | | `productDisplayName` | String | - | Service name of the resource | | `regionCode` | String | - | Region code of the resource | | `regionDispalyName` | String | - | Region name of the resource | | `resourceType` | String | - | Resource type | | `resourceId` | String | - | Resource ID | | `resourceName` | String | - | Resource name | | `actionDisplayName` | String | - | Job name | | `actionResultType` | String | - | Job result - `SUCCESS` \| `FAIL` - `SUCCESS`: Succeeded - `FAIL`: Failed | | `actionUserType` | String | - | Worker type - `Customer` \| `Sub` - `Customer`: Main account - `Sub`: Sub account | | `actionSubAccountNo` | Integer | - | Sub account member ID - Display if `actionUserType` is `Sub`. | | `actionIdNo` | String | - | Sub account ID - Displayed if `actionUserType` is `Sub`. | | `sourceType` | String | - | Client type that requested the job - `API` \| `CONSOLE` \| `PORTAL` \| `SYSTEM` | | `sourceIp` | String | - | IP address of the client that requested the action - Display if `sourceType` is `CONSOLE` or `PORTAL`. | | `productData` | Object | - | Resource details - Information about each field: See the resource-specific API guide. | ### Response status codes For information on the response status codes commonly used in the Cloud Activity Tracer APIs, see [Cloud Activity Tracer response status codes](/docs/en/management-cloudactivitytracer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page": 0, "size": 4, "itemCount": 3, "hasMore": true, "items": [ { "historyId": "67074579e2a352720c5736d1", "nrn": "nrn:PUB:Account::****:Customer/static", "eventTime": 1728529785024, "platformType": "BOTH", "productName": "Account", "productDisplayName": "Account", "regionCode": "", "regionDisplayName": "Common", "resourceType": "Customer", "resourceId": "static", "actionDisplayName": "Login", "actionResultType": "SUCCESS", "actionUserType": "Customer", "sourceType": "PORTAL", "sourceIp": "***.***.***.***", "productData": { "twoFactorLoginType": "PHONE", "twoFactorLoginManagerName": "*dong Hong", "twoFactorLoginInfo": "+82-010********", "clientIpCountry": "KR", "isTwoSetFactorLogin": "true", "isSuccess": "true", "clientIp": "***.***.***.***", "loginLevel": "2", "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/129.0.0.0 Safari/537.36", "userType": "CUSTOMER", "userName": "honggildong@navercorp.com" } }, { "historyId": "67068762e2a352720c56d28e", "nrn": "nrn:PUB:SecureZone:KR:****:Member/Standard/****", "eventTime": 1728481122336, "platformType": "Classic", "productName": "SecureZone", "productDisplayName": "Secure Zone", "regionCode": "KR", "regionDisplayName": "Korea", "resourceType": "Member", "resourceId": "Standard/****", "resourceName": "Gildong Hong", "actionDisplayName": "Add Member", "actionResultType": "SUCCESS", "actionUserType": "Customer", "sourceType": "CONSOLE", "sourceIp": "***.***.***.***", "productData": { "memberNo": "******", "instanceNo": "****", "memberName": "Gildong Hong", "secureZoneNo": "1", "secureZoneName": "Secure", "firewallType": "STANDARD", "zone": "KR2" } }, { "historyId": "6706874376a86d3b2d5a64fe", "nrn": "nrn:PUB:CloudLogAnalytics:KR:****:Analytics/static", "eventTime": 1728481091000, "platformType": "BOTH", "productName": "CloudLogAnalytics", "productDisplayName": "Cloud Log Analytics", "regionCode": "KR", "regionDisplayName": "Korea", "resourceType": "Analytics", "resourceId": "static", "resourceName": "CloudLogAnalytics", "actionDisplayName": "Subscribe To Cloud Log Analytics", "actionResultType": "SUCCESS", "sourceType": "SYSTEM", "productData": { "memberNo": "******", "instanceNo": "26950604", "prodNo": "1", "startYmdt": "2024-10-08 22:38:10" } } ] } ```